Bug 472767 - In booty spec file is missing python-pyblock requirement.
In booty spec file is missing python-pyblock requirement.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: booty (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-24 09:17 EST by Roman Rakus
Modified: 2014-01-12 19:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:55:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec file patch, python-pyblock requirement (768 bytes, patch)
2008-11-24 09:17 EST, Roman Rakus
no flags Details | Diff

  None (edit)
Description Roman Rakus 2008-11-24 09:17:39 EST
Created attachment 324476 [details]
spec file patch, python-pyblock requirement

Description of problem:
Import of booty is impossible without installed python-pyblock, but in spec file there's no that requirement.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. run python
2. import booty
3.
  
Actual results:
>>> import booty
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/booty/booty.py", line 28, in <module>
    from bootloaderInfo import *
  File "/usr/lib/booty/bootloaderInfo.py", line 37, in <module>
    import block
ImportError: No module named block


Expected results:
Successful import

Additional info:
My easy patch solve it.
Comment 1 Roman Rakus 2008-11-24 11:03:24 EST
Ha. Another one:
>>> booty.getBootloader()
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/usr/lib/booty/booty.py", line 43, in getBootloader
    return x86BootloaderInfo()
  File "/usr/lib/booty/bootloaderInfo.py", line 1236, in __init__
    grubBootloaderInfo.__init__(self)
  File "/usr/lib/booty/bootloaderInfo.py", line 1126, in __init__
    bootloaderInfo.__init__(self)
  File "/usr/lib/booty/bootloaderInfo.py", line 525, in __init__
    from flags import flags
ImportError: No module named flags

booty looks too much dependent on anaconda. So it isn't useful elsewhere? I would like to use booty (or any other package?) for configuring bootloader config file. grubby can't handle xen kernels correctly, so I tried to use booty, but this is not probably right way...
Comment 2 Jeremy Katz 2008-11-24 11:20:49 EST
grubby should handle xen kernels correctly; if it's not, please file a bug with details on how.

And yes, booty is (still) pretty intertwined with anaconda.  The original idea was to more fully split it out but there was never time or the motivation (due to lack of anything else really stepping up to use it)
Comment 3 Bug Zapper 2008-11-26 00:51:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-11-18 03:57:05 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:55:57 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.